unit Unit1;

interface

uses
  SysUtils, Types, Classes, Variants, QGraphics, QControls, QForms, QDialogs,
  QExtCtrls, QStdCtrls;

type
  TForm1 = class(TForm)
    ScrollBox1: TScrollBox;
    Button1: TButton;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private  }
  public
    { Public  }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Caption := 'test1';
  OpenDialog1.Filter := 'BMP (*.bmp)';
  Button1.Caption := 'BMPɹ';
  Button2.Caption := 'ȿž';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute() = True then
  begin
    Screen.Cursor := crHourGlass;
    Image1.Picture.LoadFromFile(OpenDialog1.FileName);
    Update();
    Screen.Cursor := crArrow;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Screen.Cursor := crHourGlass;
  Image1.Canvas.CopyMode := cmDstInvert;
  Image1.Canvas.CopyRect(
    Rect(0, 0, Image1.Width, Image1.Height),
    Image1.Canvas,
    Rect(0, 0, Image1.Width, Image1.Height));
  Update();
  Screen.Cursor := crArrow;
end;

end.
